# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PouleJourneeCalculSerieCours(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'number': 'int',
        'pj_no_tour': 'int',
        'pj_lib_tour': 'str'
    }

    attribute_map = {
        'number': 'number',
        'pj_no_tour': 'pj_no_tour',
        'pj_lib_tour': 'pj_lib_tour'
    }

    def __init__(self, number=None, pj_no_tour=None, pj_lib_tour=None):  # noqa: E501
        """PouleJourneeCalculSerieCours - a model defined in Swagger"""  # noqa: E501
        self._number = None
        self._pj_no_tour = None
        self._pj_lib_tour = None
        self.discriminator = None
        if number is not None:
            self.number = number
        if pj_no_tour is not None:
            self.pj_no_tour = pj_no_tour
        if pj_lib_tour is not None:
            self.pj_lib_tour = pj_lib_tour

    @property
    def number(self):
        """Gets the number of this PouleJourneeCalculSerieCours.  # noqa: E501


        :return: The number of this PouleJourneeCalculSerieCours.  # noqa: E501
        :rtype: int
        """
        return self._number

    @number.setter
    def number(self, number):
        """Sets the number of this PouleJourneeCalculSerieCours.


        :param number: The number of this PouleJourneeCalculSerieCours.  # noqa: E501
        :type: int
        """

        self._number = number

    @property
    def pj_no_tour(self):
        """Gets the pj_no_tour of this PouleJourneeCalculSerieCours.  # noqa: E501


        :return: The pj_no_tour of this PouleJourneeCalculSerieCours.  # noqa: E501
        :rtype: int
        """
        return self._pj_no_tour

    @pj_no_tour.setter
    def pj_no_tour(self, pj_no_tour):
        """Sets the pj_no_tour of this PouleJourneeCalculSerieCours.


        :param pj_no_tour: The pj_no_tour of this PouleJourneeCalculSerieCours.  # noqa: E501
        :type: int
        """

        self._pj_no_tour = pj_no_tour

    @property
    def pj_lib_tour(self):
        """Gets the pj_lib_tour of this PouleJourneeCalculSerieCours.  # noqa: E501


        :return: The pj_lib_tour of this PouleJourneeCalculSerieCours.  # noqa: E501
        :rtype: str
        """
        return self._pj_lib_tour

    @pj_lib_tour.setter
    def pj_lib_tour(self, pj_lib_tour):
        """Sets the pj_lib_tour of this PouleJourneeCalculSerieCours.


        :param pj_lib_tour: The pj_lib_tour of this PouleJourneeCalculSerieCours.  # noqa: E501
        :type: str
        """

        self._pj_lib_tour = pj_lib_tour

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PouleJourneeCalculSerieCours, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PouleJourneeCalculSerieCours):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
